%define upstream_name CSS-DOM
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Document Object Model for Cascading Style Sheets
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/authors/id/S/SP/SPROUT/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Clone) >= 0.90.0
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.30.0
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Dependencies not detected automatically:
Requires:   perl(Clone) >= 0.09
Requires:   perl(Encode) >= 2.10
%{?perl_default_filter}

%description
This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
%make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CSS/
%{_mandir}/man3/CSS::DOM*.3*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1024709
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 923559
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 748453
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-3.mga5
+ Revision: 733006
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 683710
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 636611
- Use upstream_name & upstream_version

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 530406
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 dams <dams> 0.15-1.mga4
+ Revision: 457568
- add %%group
- fix %%release
- imported package perl-CSS-DOM

